Subject: Re: bug#12443: 24.2.50; Default values in the minibuffer prompt (fix inconsisntecy)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Sep 2020 22:38:50 +0200

Michael Heerdegen <[email-masked]> writes:

>> Yes.  See Michael Heerdegen's `el-search.el',
>> in GNU ELPA:
>
>> https://elpa.gnu.org/packages/el-search.html
>
> Yes, thanks for the mention.  I heard the author is thankful for any
> feedback.

Looks very impressive.

The emphasis on interactive searches is a bit awkward, though (at least
for me): I don't really want to be typing in pcase forms in the
minibuffer, and I just want to get a occur-like buffer in one step.  Is
that possible?

That would allow the users (i.e., programmers) to just put the stuff in
a function and use at will.  For instance

(el-search-occurs
  "~/src/emacs/trunk/lisp"
  '`(read-string ,(pred stringp) nil ,_ ,t)
  'recursive)

or something.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no